<?php

/**
 * @copyright	Copyright (C) 2011 Cédric KEIFLIN alias ced1870
 * http://www.ck-web-creation-alsace.com
 * http://www.joomlack.fr
 * Module mooCoverFlow_CK pour Joomla! 1.5
 * @license		GNU/GPL
 * */
// no direct access
defined('_JEXEC') or die('Restricted access');

class modmooCoverFlow_CKHelper {

    function getMenu(&$params, $module) {
        jimport('joomla.application.module.helper');
        JHTML::_("behavior.mootools");

        // retrieve parameters from the module
        $reflection = $params->get('reflection', '0.4');
        $heightratio = $params->get('heightratio', '0.6');
        $offsety = $params->get('offsety', '0');
        $startindex = $params->get('startindex', '0');
        $interval = $params->get('interval', '3000');
        $factor = $params->get('factor', '115');
        $bgcolor = $params->get('bgcolor', '#000');
        $usecaption = $params->get('usecaption', false);
        $useresize = $params->get('useresize', false);
        $useslider = $params->get('useslider', false);
        $usewindowresize = $params->get('usewindowresize', false);
        $usemousewheel = $params->get('usemousewheel', false);
        $usekeyinput = $params->get('usekeyinput', false);
        $useautoplay = $params->get('useautoplay', false);
        $useviewer = $params->get('useviewer', false);
        $usemediabox = $params->get('usemediabox', 0);



        // add external stylesheets
        $document = &JFactory::getDocument();
        $document->addStyleSheet(JURI::base() . 'modules/mod_mooCoverFlow_CK/assets/MooFlow.css');
        $document->addScript(JURI::base() . 'modules/mod_mooCoverFlow_CK/assets/MooFlow.js');

        
        if ($usemediabox) {
            $clickfunction = 'function(obj){
				Mediabox.open(obj.href, obj.title+"::"+obj.alt, \'600 400\');
			}';
        } else {
            $clickfunction = 'function(obj){
				document.location.href=obj.href;
			}';
        }

        $script = "<!--
                    window.addEvent('domready', function() {"
                . "var mf = new MooFlow($(\"MooFlow".$module->id."\"),{"
                . "onStart: '',"
                . "onClickView: $clickfunction,"
                . "onAutoPlay: '',"
                . "onAutoStop: '',"
                . "onRequest: '',"
                . "onResized: '',"
                . "onEmptyinit: '',"
                . "reflection: " . $reflection . ","
                . "heightRatio: " . $heightratio . ","
                . "offsetY: " . $offsety . ","
                . "startIndex: " . $startindex . ","
                . "interval: " . $interval . ","
                . "factor: " . $factor . ","
                . "bgColor: '" . $bgcolor . "',"
                . "useCaption: " . $usecaption . ","
                . "useResize: " . $useresize . ","
                . "useSlider: " . $useslider . ","
                . "useWindowResize: " . $usewindowresize . ","
                . "useMouseWheel: " . $usemousewheel . ","
                . "useKeyInput: " . $usekeyinput . ","
                . "useAutoPlay: " . $useautoplay . " });"
                . " }); //-->";
        $document->addScriptDeclaration($script);


        //get the menu items
        $app = JFactory::getApplication();
        $menu = $app->getMenu();
        $items = $menu->getItems('menutype', $params->get('menutype'));
		
		

        foreach ($items as $i => &$item) {
		
			// create params instance
			$menu_params = new stdClass();
			$menu_params = new JParameter($item->params);
			$menu_secure = $menu_params->def('secure', 0);
			
			switch ($item->type) {
                case 'separator':
                    // No further action needed.
                    continue;

                case 'url':
                    if ((strpos($item->link, 'index.php?') === 0) && (strpos($item->link, 'Itemid=') === false)) {
                        // If this is an internal Joomla link, ensure the Itemid is set.
                        $item->link = $item->link . '&amp;Itemid=' . $item->id;
                    }
                    break;
                case 'menulink':
                    // If this is an alias use the item id stored in the parameters to make the link.
                    $alias = $menu->getItem($menu_params->def('menu_item', 0));
                    $item->link = $alias->link . '&amp;Itemid=' . $alias->id;
                    ;
                    break;
                default:
                    $router = JSite::getRouter();
                    if ($router->getMode() == JROUTER_MODE_SEF) {
                        $item->link = 'index.php?Itemid=' . $item->id;
                    } else {
                        $item->link .= '&Itemid=' . $item->id;
                    }
                    break;
            }
			
			if ($item->home == 1) {
                // Correct the URL for the home page.
                $item->link = JURI::base();
            } elseif (strcasecmp(substr($item->link, 0, 4), 'http') && (strpos($item->link, 'index.php?') !== false)) {
                // This is an internal Joomla web site link.
                $item->link = JRoute::_($item->link, true, $menu_secure);
            } else {
                // Correct the & in the link.
                $item->link = str_replace('&', '&amp;', $item->link);
            }
		
            // manage images
            $item->image = '';
            $menu_image = $menu_params->get('menu_image', -1);
            if (($menu_image <> '-1') && $menu_image) {
                $item->image = '<img src="' . JURI::base(true) . '/images/stories/' . $menu_image . '" alt="' . $item->name . '" title="' . $item->name . '" />';
            }
        }
        return $items;
    }

}

?>